> For the complete documentation index, see [llms.txt](https://firstoken.gitbook.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://firstoken.gitbook.io/api-docs/api-reference/payments/endpoints/capture/capture-refunds.md).

# Capture Refunds

Refunds are used to given back an amount of money to you, it is used with a capture request ID. Unless otherwise specified, refunds must be requested within 60 days of a settlement.

{% tabs %}
{% tab title="cUrl" %}
{% code fullWidth="true" %}

```json
POST /v1/payments/captures/:id/refund

curl –X POST 'https://api.firstoken.co/v1/payments/captures/:id/refund' \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR API KEY' ' \
--data '{
    "transaction_info": {
        "type": "capture_refund",
        "reference_code": "123456789"
    },
    "refund_info": {
        "amount_details": {
            "total_amount": 1000,
            "currency": "COP"
        }
    },
    "device_info": {
        "ip_address": "12.7.8.120"
    }
}'
```

{% endcode %}
{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid capture identifier (transaction\_id) received in previous requests.
> {% endtab %}

{% tab title="Attributes of the response" %}
**status**: *string*\
The status is a string result that only has two possible values. "Success, “Error” or "Fail".

**message**: *string*\
The message value represents a short description about the status code.

**data**: *{object}*\
The value of the data represents a set of JSON objects with the transaction’s details:

> * **transaction\_info**: *{object}*\
>   The wrapper object of the transaction’s information. Contains:
>   * **type**: *string*\
>     The type of transaction response.
>   * **reference\_code**: *string*
>
>     A reference code for the transaction.
>   * **transaction\_id**: *string*
>
>     Our transaction identifier of the request. It is used in other requests.
>   * **request\_id**: *string*
>
>     The identifier of the request associated with the transaction.
>   * **status**: *string*
>
>     The status received of the transaction.
>   * **reconciliation\_id**: *string*\
>     The response identifier for reconciliation logs.
>   * **created\_at**: *ISO Date*
>
>     The ISO Date of the request
> * **order\_info**: {object} \
>   The object for the order information sent it in the body request.
>   * **amount\_details**: {object} \
>     The total amount details, in this case, the currency.&#x20;
>     {% endtab %}
>     {% endtabs %}

<details>

<summary>Example of the JSON response</summary>

```json
{
    "status": "success",
    "message": "Capture refund successful",
    "data": {
        "transaction_info": {
            "type": "capture_refund_response",
            "reference_code": "123456789",
            "transaction_id": "0001708985261330348711",
            "request_id": "7089852627016157404951",
            "status": "Pending",
            "reconciliation_id": "7089807826426366604953",
            "created_at": "2024-02-26T22:07:42Z"
        },
        "order_info": {
            "amount_details": {
                "currency": "COP"
            }
        }
    }
}
```

</details>
